Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.session.xplat
Class CallsServiceRemote.VolumeInformationExtended

    java.lang.Object
      |
      +--com.novell.service.session.xplat.CallsServiceRemote.VolumeInformationExtended

public static class CallsServiceRemote.VolumeInformationExtended
extends java.lang.Object
implements java.io.Serializable

Field Summary
`int` | `availSubAllocSectors`
`int` | `clustersUsedByDirs`
`int` | `clustersUsedByExtDirs`
`int` | `clustersUsedByFAT`
`int` | `compressedSectors`
`java.lang.String` | `directoryServicesName`
`int` | `directoryServicesObjectId`
`int` | `extAttrExtantsUsed`
`int` | `extAttrsDefined`
`int` | `freeableLimboSectors`
`int` | `freeClusters`
`int` | `migratedSectors`
`int` | `nonfreeableLimboSectors`
`int` | `nonuseableSubAllocSectors`
`int` | `numCompressedDataStreams`
`int` | `numCompressedLimboDataStreams`
`int` | `numDataStreams`
`int` | `numLimboDataStreams`
`int` | `numMigratedDataStreams`
`int` | `numNoncompressibleDataStreams`
`int` | `oldestDelFileAgeInTicks`
`int` | `precompressedSectors`
`int` | `sectorSize`
`int` | `sectorsPerCluster`
`int` | `statusFlag`
`int` | `subAllocClusters`
`int` | `subAllocFreeableClusters`
`int` | `totalDirEntries`
`int` | `totalExtDirExtants`
`int` | `unusedDirEntries`
`int` | `unusedExtDirExtants`
`int` | `volLastModifiedDateAndTime`
`int` | `volSizeInClusters`
`int` | `volType`

Constructor Summary
`CallsServiceRemote.VolumeInformationExtended()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### volType

    public int volType

### statusFlag

    public int statusFlag

### sectorSize

    public int sectorSize

### sectorsPerCluster

    public int sectorsPerCluster

### volSizeInClusters

    public int volSizeInClusters

### freeClusters

    public int freeClusters

### subAllocFreeableClusters

    public int subAllocFreeableClusters

### freeableLimboSectors

    public int freeableLimboSectors

### nonfreeableLimboSectors

    public int nonfreeableLimboSectors

### availSubAllocSectors

    public int availSubAllocSectors

### nonuseableSubAllocSectors

    public int nonuseableSubAllocSectors

### subAllocClusters

    public int subAllocClusters

### numDataStreams

    public int numDataStreams

### numLimboDataStreams

    public int numLimboDataStreams

### oldestDelFileAgeInTicks

    public int oldestDelFileAgeInTicks

### numCompressedDataStreams

    public int numCompressedDataStreams

### numCompressedLimboDataStreams

    public int numCompressedLimboDataStreams

### numNoncompressibleDataStreams

    public int numNoncompressibleDataStreams

### precompressedSectors

    public int precompressedSectors

### compressedSectors

    public int compressedSectors

### numMigratedDataStreams

    public int numMigratedDataStreams

### migratedSectors

    public int migratedSectors

### clustersUsedByFAT

    public int clustersUsedByFAT

### clustersUsedByDirs

    public int clustersUsedByDirs

### clustersUsedByExtDirs

    public int clustersUsedByExtDirs

### totalDirEntries

    public int totalDirEntries

### unusedDirEntries

    public int unusedDirEntries

### totalExtDirExtants

    public int totalExtDirExtants

### unusedExtDirExtants

    public int unusedExtDirExtants

### extAttrsDefined

    public int extAttrsDefined

### extAttrExtantsUsed

    public int extAttrExtantsUsed

### directoryServicesName

    public java.lang.String directoryServicesName

### volLastModifiedDateAndTime

    public int volLastModifiedDateAndTime

### directoryServicesObjectId

    public int directoryServicesObjectId

Constructor Detail

### CallsServiceRemote.VolumeInformationExtended

    public CallsServiceRemote.VolumeInformationExtended()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD